Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.gui
Class StatusJlabel

    java.lang.Object
      baseCode.gui.StatusJlabel

All Implemented Interfaces:
  StatusViewer

public class StatusJlabel
extends java.lang.Object
implements StatusViewer

Title:

Description:

Copyright: Copyright (c) 2003

Company:

Version:
  $Id: StatusJlabel.java,v 1.4 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`StatusJlabel(javax.swing.JLabel l)`

Method Summary
`void` | `clear()` Clear the status dislay.
`void` | `setError(java.lang.String s)` Print an error status messge.
`void` | `setStatus(java.lang.String s)` Print the status to the location appropriate for this application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusJlabel

    public StatusJlabel(javax.swing.JLabel l)

Method Detail

### setStatus

    public void setStatus(java.lang.String s)

  Description copied from interface: `StatusViewer`
  Print the status to the location appropriate for this application.

  Specified by:
    `setStatus` in interface `StatusViewer`
  Parameters:
    `s` -

### setError

    public void setError(java.lang.String s)

  Description copied from interface: `StatusViewer`
  Print an error status messge.

  Specified by:
    `setError` in interface `StatusViewer`
  Parameters:
    `s` -

### clear

    public void clear()

  Description copied from interface: `StatusViewer`
  Clear the status dislay. Implementers that do not write to GUI elements probably don't need to do anything.

  Specified by:
    `clear` in interface `StatusViewer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.